const background: AuthRoute.Route = {
  name: 'background',
  path: '/background',
  component: 'basic',
  children: [
    {
      name: 'background_field',
      path: '/background/field',
      component: 'self',
      meta: {
        title: '字段管理',
        requiresAuth: true,
        icon: 'icon-park-outline:analysis'
      }
    },
    {
      name: 'background_event',
      path: '/background/event',
      component: 'self',
      meta: {
        title: '事件设置',
        requiresAuth: true,
        icon: 'icon-park-outline:workbench'
      }
    },
    {
      name: 'background_indicators',
      path: '/background/indicators',
      component: 'self',
      meta: {
        title: '指标设置',
        requiresAuth: true,
        icon: 'icon-park-outline:workbench'
      }
    },
    {
      name: 'background_workflow',
      path: '/background/workflow',
      component: 'self',
      meta: {
        title: '流程设置',
        requiresAuth: true,
        icon: 'icon-park-outline:workbench'
      }
    }
  ],
  meta: {
    title: '后台管理',
    icon: 'mdi:monitor-dashboard',
    order: 11
  }
};

export default background;
