export function adapterOfFetchFieldList(data: ApiBackground.Field[] | null): BackgroundField.Field[] {
  if (!data) return [];

  return data.map(item => {
    const field: BackgroundField.Field = {
      index: item.id,
      key: item.id,
      ...item
    };

    return field;
  });
}

export function adapterOfFetchEventList(data: ApiBackground.Event[] | null): BackgroundEvent.Event[] {
  if (!data) return [];

  return data.map((item, index) => {
    const event: BackgroundEvent.Event = {
      index: index + 1,
      key: item.id,
      ...item
    };

    return event;
  });
}

export function adapterOfFetchIndicatorsList(
  data: ApiBackground.Indicators[] | null
): BackgroundIndicators.Indicators[] {
  if (!data) return [];

  return data.map((item, index) => {
    const indicators: BackgroundIndicators.Indicators = {
      index: index + 1,
      key: item.id,
      ...item
    };

    return indicators;
  });
}

export function adapterOfFetchWorkflowList(data: ApiBackground.Workflow[] | null): BackgroundWorkflow.Workflow[] {
  if (!data) return [];

  return data.map(item => {
    const workflow: BackgroundWorkflow.Workflow = {
      index: item.id,
      key: item.id,
      ...item
    };

    return workflow;
  });
}
