export function adapterOfMqttAuthList(data: Mqtt.Auth[] | null): ApiMqttAuth.Auth[] {
  if (!data) return [];
  return data.map(item => {
    const field: ApiMqttAuth.Auth = {
      index: item.id,
      key: item.id,
      ...item
    };
    return field;
  });
}

export function adapterOfMqttTopicList(data: Mqtt.Topic[] | null): ApiMqttTopic.Topic[] {
  if (!data) return [];
  return data.map(item => {
    const field: ApiMqttTopic.Topic = {
      index: item.id,
      key: item.id,
      ...item
    };
    return field;
  });
}

export function adapterOfMqttUserList(data: Mqtt.User[] | null): ApiMqttUser.User[] {
  if (!data) return [];
  return data.map(item => {
    const field: ApiMqttUser.User = {
      index: item.id,
      key: item.id,
      ...item
    };
    return field;
  });
}

export function adapterOfMqttPastureList(data: Mqtt.Pasture[] | null): ApiMqttPasture.Pasture[] {
  if (!data) return [];
  return data.map(item => {
    const field: ApiMqttPasture.Pasture = {
      index: item.id,
      key: item.id,
      ...item
    };
    return field;
  });
}

export function adapterOfMqttPastureEnumList(data: Common.OptionWithKey<any>[] | null): Common.OptionWithKey<any>[] {
  if (!data) return [];
  return data;
}

export function adapterOfMqttTopicEnumList(data: Common.OptionWithKey<any>[] | null): Common.OptionWithKey<any>[] {
  if (!data) return [];
  return data;
}

export function adapterOfMqttCategoryList(data: Mqtt.Category[] | null): ApiMqttCategory.Category[] {
  if (!data) return [];
  return data.map(item => {
    const field: ApiMqttCategory.Category = {
      index: item.id,
      key: item.id,
      ...item
    };
    return field;
  });
}

export function adapterOfMqttCategoryEnumList(data: Common.OptionWithKey<any>[] | null): Common.OptionWithKey<any>[] {
  if (!data) return [];
  return data;
}
