declare namespace ApiBackground {
  interface Field {
    /** id */
    id: number;
    /** 字段名 */
    field_name: string | null;
    column_name: string | null;
    /**
     * 组件类型
     * 0 单行文本
     * 1 多行文本
     * 2 下拉框
     * 3 单选框
     * 4 多选框
     * 5 日期选择器
     * 6 时间选择器
     * 7 开关
     */
    components_type: 0 | 1 | 2 | 3 | 4 | 5 | 6 | 7 | null;
    /**
     * 字段类型
     * 0 无效类型
     * 1 日期类型
     * 2 时间类型
     * 3 字符串
     * 4 小数类型
     * 5 bool类型
     * 6 整数类型
     */
    field_type: 0 | 1 | 2 | 3 | 4 | 5 | 6 | null;
    /**
     * 字段长度
     */
    field_len: number | 0;
    /**
     * 最大值
     */
    min_value: number | 0;
    /**
     * 最小值
     */
    max_value: number | 0;
    /**
     * 字段描述
     */
    description: string | null;
  }
}

declare namespace ApiBoolean {
  interface OK {
    success: boolean;
  }
}
