declare namespace Mqtt {
  interface Auth {
    id: number;
    client_id: string | null;
    mount_point: string | null;
    user_name: string | null;
    password: string;
    pasture_id: number | null;
    pasture_name: string | null;
    publish_topic_ids: [] | null;
    subscribe_topic_ids: [] | null;
    access: number | null;
    publish_acl: string | null;
    subscribe_acl: string | null;
    is_show: number | null;
    created_at_format: string | null;
    updated_at_format: string | null;
  }

  interface SearchAuth {
    pasture_name: string | null;
    user_name: string | null;
    publish_topic_name: string | null;
    subscribe_topic_name: string | null;
  }

  interface User {
    id: number;
    user_name: string | null;
    password: string;
    client_id: string | null;
    pasture_id: number | null;
    topic_ids: string | null;
    is_show: number | null;
    access: number | null;
    created_at_format: string | null;
    updated_at_format: string | null;
  }

  interface Topic {
    id: number;
    category_id: number | null;
    category_name: string | null;
    topic_name: string | null;
    topic_template: string | null;
    access: number | null;
    is_show: number | null;
    created_at_format: string | null;
    updated_at_format: string | null;
  }

  interface Pasture {
    id: number;
    name: string | null;
    short_name: string | null;
    address: string | null;
    is_group: number | null;
    is_show: number | null;
    group_id: number | null;
    created_at_format: string | null;
    updated_at_format: string | null;
  }

  interface Category {
    id: number;
    name: string | null;
    is_show: number | null;
    created_at_format: string | null;
    updated_at_format: string | null;
  }
}
